Batch update AddOnCharges for a Settlement
AddOnCharges
Batch update AddOnCharges for a Settlement
Batch update AddOnCharges for a Settlement
This endpoint allows updating, creating, deleting AddOnCharges all at once.
If updating existing records:
- must provide the
idfor each record to be updated - only provide the fields to be updated e.g.
add_on_charges: [
{
"id": "some-uuid"
"quantity": 20.25,
"rate": 15.75
}
]
If creating new records:
- must not provide the
idfor each record to be created - provide all the fields needed for the record e.g.
add_on_charges: [
{
"quantity": 20.25,
"rate": 12.5,
"add_on_rate_type": "RateForEach"
},
{
"percentage": 10,
"add_on_rate_type": "RatePercentOfTotal"
}
]
If deleting exisitng records:
- must provide the
idand the property_destroy: 1
e.g.
add_on_charges: [
{
"id": "some-uuid"
"_destroy": 1
}
]
PATCH
Batch update AddOnCharges for a Settlement
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
Example:
"en"
Path Parameters
Settlement ID
Body
application/json
- AddOnCharge-Create
- AddOnCharge-Update-Destroyable
Response
OK